Subject: ncurses 4.1 on b19 for win95
From: [email-masked] (Rafael Kitover)

6 Mar 1998 22:18:51 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

My apologies if this thing got sent twice, first time it didn't seem to go
through and I didn't get a bounce message or anything so sending it again...

Here's my experience so far in trying to compile ncurses 4.1 on win95
(OSR1, on a real old and real slow 486 :P) using b19:

As was described earlier, configure will sometimes give you the "blue
screen of death" somewhere in the middle, Mikey's .bashrc code solved that
problem and allowed me to run configure until I got to a "real" problem. I
also copied bash.exe to /bin/sh as was suggested for ncurses to compile.

these were the suggested .bashrc lines for reference:

--------<snip>---------
unset CYGROOT WINBOOTDIR WINDIR WINPMT BLASTER CMDLINE
unset PROMPT QBACKUP SYMANTEC TEMP CMDLINE ISP16
unset COPYCMD DIRCMD E2CWD HLP NU PKUNZIP CONFIG
export -nf dlow tlow tup which
export -n TZ CVSROOT EDITOR LESSCHARSET PS1 PS2
export -n TMP TERMINFO LS_COLORS C32PATH HISTCONTROL HOSTTYPE
export -n IGNOREEOF SHELLOPTS SHLVL MACHTYPE HOSTNAME OSTYPE
trap '' 5
set +a #do not export variables in subshells
--------<snip>---------

Now...before the latest coolview, I used the one before (which only had
fdopen.diff) with these results:

../configure
.....
a bunch of stuff
.....
checking for size of c++ bool...
../configure: test: =: unary operator expected
updating cache ./config.cache
creating ./config.status
(C:\BIN\SH.EXE 1065) wait_sig: WFM0 failed, error=6

Using the newest coolview, all was the same except the error was something
like this:
DUP ...ERROR 6!!

Sorry, should have written it down.

Also looking through the config.log I found some another interesting tidbit
which did not show up on the screen when configure was running:

....
....
configure:3266: checking if data-only library module links
configure:3276: gcc -c -g  conftest.c 1>&5
(C:\CYGNUS\B19\H-I386-CYGWIN32\BIN\AR.EXE 1104) block_sig_dispatch:
WFSO(sig_dispatch<0x10>) failed, error = 6
configure:3295: gcc -c -g  conftest.c 1>&5
(C:\CYGNUS\B19\H-I386-CYGWIN32\BIN\AR.EXE 1114) block_sig_dispatch:
WFSO(sig_dispatch<0x10>) failed, error = 6
....
....

Hope that helps, I'll run the whole thing with STRACE if anyone wants... In
the meantime, anyone know any sites with binaries/headers of ports to
cygwin32? Like ncurses etc.

Thanks,
Raf

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".